<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="Europe_VAT" class="tab_content">
	<h3>Noodlemans Europe VAT Plugin</h3>
	<p>Allow customers to delcair they do not need to pay tax on specific products.</h3></p>

	  <fieldset><legend>Settings</legend>
		  <div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
		  <div><label for="home_country_code">Store Country Code (2 Character ISO)</label><span><input name="module[home_country_code]" id="home_country_code" class="textbox" type="text" value="{$MODULE.home_country_code}" maxlength="2" placeholder="GB"/></span></div>
	  </fieldset>

	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)} {$PLUGIN_SUPPORT_ENDS}	{/if}
	</fieldset>
	
	{$GENERAL_TAB_SETTINGS}
	
	<div class="form_control">
		<input type="submit" name="save" value="{$LANG.common.save}" />
	</div>

	<br/>

	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$PLUGIN_MESSAGES}
	</fieldset>

  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />	
	
  </div>

	<div id="install_guide" class="tab_content">
	<h3>How to Install This Module</h3>
	<p>If installing this module for the first time, or after updating your store you should run through the steps below to ensure the module continues to work correctly</p>
	<p>Should you upgrade your store you will need to apply these changes again.</p>
	<p>The skin changes below have been made using an unmodified kurouto skin. If you are using a different skin the steps may vary slightly. If in any doubt, contact support.</p>

	<ol>
	
	<li><b>Add a new hook</b><p>Open the file &quot;classes/tax.class.php&quot; with your favourite text editor. The code below adds a new hook to CubeCart. This step only applies if using CubeCart 5. </p></li>
Around line number 88 FIND:	
<textarea style="width:100%; height:25px;">
$taxes[$tax_name]['tax_id']= $tax_id;
}
</textarea>
<br/>
AFTER ADD:	
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.tax.get.tax') as $hook) include $hook;
</textarea> </li> 	

<br/><br/>

	<li><b>Add a new hook</b><p>Open the file &quot;classes/tax.class.php&quot; with your favourite text editor. The code below adds a new hook to CubeCart. This step only applies if using CubeCart 6.0.9 or higher. </p></li>
Around line number 449 FIND:	
<textarea style="width:100%; height:30px;">{literal}
$amount	= $price*($tax['percent']/100);
</textarea>{/literal}
<br/>
AFTER ADD:	
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.tax.producttax.amount') as $hook) include $hook;
</textarea> </li> 	

<br/><br/>


		<li><b>Add a new hook</b><p>Open the file &quot;classes/cart.class.php&quot; with your favourite text editor. The code below adds a new hook to CubeCart </p></li>
Around line number 799 FIND:	
<textarea style="width:100%; height:25px;">
$GLOBALS['tax']->productTax($this->_shipping, $this->basket['shipping']['tax_id'], false, $this->basket[$tax_on]['state_id'], 'shipping');
</textarea>
<br/>
REPLACE WITH:	
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.cart.shippingtax') as $hook) include $hook;

</textarea> </li> 


<br/><br/>

		<li><b>Add a new hook</b><p>Open the file &quot;classes/user.class.php&quot; with your favourite text editor. The code below adds a new hook to CubeCart </p></li>
Around line number 328 FIND:	
<textarea style="width:100%; height:25px;">
$customer_id = $GLOBALS['db']->insert('CubeCart_customer', $data);
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.user.register_user.insertedAgain') as $hook) include $hook;
</textarea> <br/><br/><br/></li>

<br/><br/>


		<li><b>Add a new hook</b><p>Open the file &quot;admin/sources/customers.index.inc.php&quot; with your favourite text editor. The code below adds a new hook to CubeCart </p></li>
Around line number 311 FIND:	
<textarea style="width:100%; height:25px;">
$GLOBALS['gui']->addBreadcrumb(sprintf('%s %s', $customer['first_name'], $customer['last_name']), currentPage(array('address_id')));
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('admin.customer.noodle.edit') as $hook) include $hook;
</textarea> </li> 

<br/><br/>

		<li><b>Add Items To Your Skin</b><p>Open the file &quot;skins/&lt;YOURSKIN&gt;/templates/content.register.php&quot; with your favourite text editor. The javascript code below enables the live checking of VAT numbers. </p></li>
Around line number 2 FIND:	
<textarea style="width:100%; height:25px;">
{literal}<p>{$LANG.account.register_text}</p>{/literal}
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:535px;">
{literal}{if isset($VAT_JQUERY_URL) && !empty($VAT_JQUERY_URL)}
	<script type="text/javascript">
		$( document ).ready(function() {
			$('#register-taxexemptcustomerdetails').blur(function() {
				$.ajax({
					type: "GET",
					dataType: "json",
					url: "{$VAT_JQUERY_URL}",
					data: "vat_number=" + $(this).val(),
					beforeSend: function(html) {
						$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/spinner.gif');
					},
					success: 	function(json){
						var status = json.status;

						if(status == 'Valid'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/1.png');
						}else if(status = 'Invalid'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/0.png');
						}else if(status = 'Blocked'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
						}else{
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
						}
					},
					error: 	function(json){
						$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
					}
				});
			});
		});
	</script>
{/if}{/literal}
</textarea></li>

<br/><br/>



		<li><b>Add Items To Your Skin</b><p>Open the file &quot;skins/&lt;YOURSKIN&gt;/templates/content.register.php&quot; with your favourite text editor. The code below adds the extra form item to your skin. You can place this anywhere within your form, but for reference an example line has been given. </p></li>
Around line number 52 FIND:	
<textarea style="width:100%; height:25px;">
{literal}<div><label for="register-passconf">{$LANG.account.password_confirm}</label><span><input type="password" autocomplete="off" name="passconf" id="register-passconf" value="" class="required" /> *</span></div>{/literal}
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:70px;">
{literal}{if isset($VAT_CUSTOMERS_DETAILS)}
	{$VAT_CUSTOMERS_DETAILS}
{/if}{/literal}	
</textarea></li>

<br/><br/>

<li><b>Add Items To Your Skin</b><p>Open the file &quot;skins/&lt;YOURSKIN&gt;/templates/content.checkout.confirm.php&quot; with your favourite text editor. The javascript code below enables the live checking of VAT numbers. </p></li>
Around line number 25 FIND:	
<textarea style="width:100%; height:65px;">
{literal}</p>
	{/if}
{else}{/literal}
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:535px;">
{literal}{if isset($VAT_JQUERY_URL) && !empty($VAT_JQUERY_URL)}
	<script type="text/javascript">
		$( document ).ready(function() {
			$('#register-taxexemptcustomerdetails').blur(function() {
				$.ajax({
					type: "GET",
					dataType: "json",
					url: "{$VAT_JQUERY_URL}",
					data: "vat_number=" + $(this).val(),
					beforeSend: function(html) {
						$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/spinner.gif');
					},
					success: 	function(json){
						var status = json.status;

						if(status == 'Valid'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/1.png');
						}else if(status = 'Invalid'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/icons/0.png');
						}else if(status = 'Blocked'){
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
						}else{
							$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
						}
					},
					error: 	function(json){
						$('#vat_status').attr("src", 'modules/plugins/Europe_VAT/images/1pxtransparent.gif');
					}
				});
			});
		});
	</script>
{/if}{/literal}
</textarea></li>

<br/><br/>


		<li><b>Add Items To Your Skin</b><p>Open the file &quot;skins/&lt;YOURSKIN&gt;/templates/content.checkout.confirm.php&quot; with your favourite text editor. The code below adds the extra form item to your skin. You can place this anywhere within your form, but for reference an example line has been given. </p></li>
Around line number 71 FIND:	
<textarea style="width:100%; height:35px;">
{literal}<div><label for="user_mobile">{$LANG.address.mobile}</label><span><input type="text" name="user[mobile]" id="user_mobile" class="textbox" value="{$USER.mobile}" /></span></div>{/literal}
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:70px;">
{literal}{if isset($VAT_CUSTOMERS_DETAILS)}
	{$VAT_CUSTOMERS_DETAILS}
{/if}{/literal}		
</textarea></li>

<br/><br/>



		<li><b>Add Items To Your Skin</b><p>Open the file &quot;admin/skins/default/templates/customers.index.php&quot; with your favourite text editor. The javascript code below enables the live checking of VAT numbers and adds new fields to the edit customer screen. </p></li>
Around line number 133 FIND:	
<textarea style="width:100%; height:35px;">
{literal}<div><label for="cust-passconf">{$LANG.user.password_confirm}</label><span><input type="password" autocomplete="off" name="customer[passconf]" id="cust-passconf" rel="cust-password" class="textbox confirm" /></span></div>
</fieldset>{/literal}
</textarea>
<br/>
AFTER ADD ON A NEW LINE:	
<textarea style="width:100%; height:740px;">
{literal}<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
<script type="text/javascript">
$( document ).ready(function() {

	$('#cust-vat_number1').blur(function() {
	
		$.ajax({
			type: "GET",
			dataType: "json",
			url: "{$VAT_JQUERY_URL1}",
			data: "vat_number=" + $(this).val(),
			beforeSend: function(html) { // this happen before actual call
				$('#vat_status').attr("src", 'images/icons/spinner.gif');
			},				
			success: 	function(json){
							var status = json.status;
							
							if(status == 'Valid'){
								$('#vat_status').attr("src", 'images/icons/1.png');
							}else{
								$('#vat_status').attr("src", 'images/icons/0.png');
							}
						},
			error: 	function(json){
						$('#vat_status').attr("src", 'images/icons/0.png');
					}
		});
	});
});
</script>
  
  <fieldset><legend>Europe VAT</legend>
	<div><label for="cust-vat_number">VAT Number</label><span><input type="text" autocomplete="off" name="customer[vat_number1]" id="cust-vat_number1" class="textbox" value="{$CUSTOMER.vat_countryCode}{$CUSTOMER.vat_number}" /><img src="{$VAT_DEFAULT_IMAGE}" id="vat_status" /></span></div>
  </fieldset>
  
  <fieldset><legend>Europe VAT (Info Only)</legend>
	<div><label for="cust-vat_countryCode1">Country Code</label><span><input type="text" autocomplete="off" id="cust-vat_countryCode1" class="textbox" value="{$CUSTOMER.vat_countryCode}" readonly /></span></div>
	<div><label for="cust-vat_number1">Vat Number</label><span><input type="text" autocomplete="off" id="cust-vat_number1" class="textbox" value="{$CUSTOMER.vat_number}" readonly /></span></div>
	<div><label for="cust-vat_validated1">Vat Number Validated</label><span><input type="text" autocomplete="off" id="cust-vat_validated1" class="textbox" value="{if $CUSTOMER.vat_validated == 1}Yes{else}No{/if}" readonly /></span></div>
	<div><label for="cust-vat_name1">Registered Name</label><span><input type="text" autocomplete="off" id="cust-vat_name1" class="textbox" value="{$CUSTOMER.vat_officialName}" readonly /></span></div>
	<div><label for="cust-vat_address1">Registered Address</label><span>&lt;textarea style="width:300px; height:100px;" readonly&gt;{$CUSTOMER.vat_officialAddress}&lt;/textarea&gt;</span></div>
	<div><label for="cust-vat_validated1">Auto Added to Customer Group</label><span><input type="text" autocomplete="off" id="cust-vat_validated1" class="textbox" value="{if $CUSTOMER.vat_addedToGroup == 1}Yes{else}No{/if}" readonly /></span></div>
  </fieldset>{/literal}
</textarea> </li>










	
	
	</ol>

	</div>
  
  
  
  {$MODULE_ZONES}
</form>






